Package org.apache.sysds.runtime.data

# Interface Block

All Known Implementing Classes:
  `DenseBlock`, `DenseBlockBool`, `DenseBlockDRB`, `DenseBlockFP32`, `DenseBlockFP64`, `DenseBlockFP64DEDUP`, `DenseBlockInt32`, `DenseBlockInt64`, `DenseBlockLBool`, `DenseBlockLDRB`, `DenseBlockLFP32`, `DenseBlockLFP64`, `DenseBlockLFP64DEDUP`, `DenseBlockLInt32`, `DenseBlockLInt64`, `DenseBlockLString`, `DenseBlockString`, `SparseBlock`, `SparseBlockCOO`, `SparseBlockCSC`, `SparseBlockCSR`, `SparseBlockDCSR`, `SparseBlockMCSC`, `SparseBlockMCSR`

public interface Block

## Method Summary

Modifier and Type
Method
Description
`double`
`get(int r, int c)`
Get value of matrix cell (r,c).

## Method Details

### get

double get(int r, int c)
Get value of matrix cell (r,c). In case of non existing values this call returns 0.

Parameters:
  `r` - row index starting at 0
  `c` - column index starting at 0
Returns:
  value of cell at position (r,c)